<?php

namespace MoniContract;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ArrayOfDealerDBA' => '\\MoniContract\\ArrayType\\ArrayOfDealerDBA',
            'DealerDBA' => '\\MoniContract\\StructType\\DealerDBA',
            'ExtensionDataObject' => '\\MoniContract\\StructType\\ExtensionDataObject',
            'ArrayOfDealerEmail' => '\\MoniContract\\ArrayType\\ArrayOfDealerEmail',
            'DealerEmail' => '\\MoniContract\\StructType\\DealerEmail',
            'DealerInfo' => '\\MoniContract\\StructType\\DealerInfo',
            'MoniNetUserInfo' => '\\MoniContract\\StructType\\MoniNetUserInfo',
            'ArrayOfString' => '\\MoniContract\\ArrayType\\ArrayOfString',
            'MoniNetUserInfo2' => '\\MoniContract\\StructType\\MoniNetUserInfo2',
            'ArrayOfDealerLicense' => '\\MoniContract\\ArrayType\\ArrayOfDealerLicense',
            'DealerLicense' => '\\MoniContract\\StructType\\DealerLicense',
            'ArrayOfstring' => '\\MoniContract\\ArrayType\\ArrayOfstring_1',
            'ArrayOfKeyValueOfstringstring' => '\\MoniContract\\ArrayType\\ArrayOfKeyValueOfstringstring',
            'KeyValueOfstringstring' => '\\MoniContract\\StructType\\KeyValueOfstringstring',
            'GenericResult' => '\\MoniContract\\StructType\\GenericResult',
            'DocuSignTemplateCreditAuthDocument' => '\\MoniContract\\StructType\\DocuSignTemplateCreditAuthDocument',
            'DocuSignTemplateBaseObject' => '\\MoniContract\\StructType\\DocuSignTemplateBaseObject',
            'ArrayOfDocumentSignatures' => '\\MoniContract\\ArrayType\\ArrayOfDocumentSignatures',
            'DocumentSignatures' => '\\MoniContract\\StructType\\DocumentSignatures',
            'DocuSignTemplateNonSolicitAgreement' => '\\MoniContract\\StructType\\DocuSignTemplateNonSolicitAgreement',
            'AuthenticationResult' => '\\MoniContract\\StructType\\AuthenticationResult',
            'ArrayOfOptionListing' => '\\MoniContract\\ArrayType\\ArrayOfOptionListing',
            'OptionListing' => '\\MoniContract\\StructType\\OptionListing',
            'AuthenticationResult2' => '\\MoniContract\\StructType\\AuthenticationResult2',
            'ArrayOfProgramDiscounts' => '\\MoniContract\\ArrayType\\ArrayOfProgramDiscounts',
            'ProgramDiscounts' => '\\MoniContract\\StructType\\ProgramDiscounts',
            'ContractDocument' => '\\MoniContract\\StructType\\ContractDocument',
            'ArrayOfContactItem' => '\\MoniContract\\ArrayType\\ArrayOfContactItem',
            'ContactItem' => '\\MoniContract\\StructType\\ContactItem',
            'ArrayOfEquipmentItem' => '\\MoniContract\\ArrayType\\ArrayOfEquipmentItem',
            'EquipmentItem' => '\\MoniContract\\StructType\\EquipmentItem',
            'PaymentItem' => '\\MoniContract\\StructType\\PaymentItem',
            'ContractDocument2' => '\\MoniContract\\StructType\\ContractDocument2',
            'ContractDocumentConsumer' => '\\MoniContract\\StructType\\ContractDocumentConsumer',
            'CreateContractResult' => '\\MoniContract\\StructType\\CreateContractResult',
            'VoidEnvelopeResult' => '\\MoniContract\\StructType\\VoidEnvelopeResult',
            'ContractEnvelope' => '\\MoniContract\\StructType\\ContractEnvelope',
            'ValidationResult' => '\\MoniContract\\StructType\\ValidationResult',
            'SendNonSolicitAgreement' => '\\MoniContract\\StructType\\SendNonSolicitAgreement',
            'SendNonSolicitAgreementResponse' => '\\MoniContract\\StructType\\SendNonSolicitAgreementResponse',
            'SendCreditAuthorization' => '\\MoniContract\\StructType\\SendCreditAuthorization',
            'SendCreditAuthorizationResponse' => '\\MoniContract\\StructType\\SendCreditAuthorizationResponse',
            'RegisterNotificationUrl' => '\\MoniContract\\StructType\\RegisterNotificationUrl',
            'RegisterNotificationUrlResponse' => '\\MoniContract\\StructType\\RegisterNotificationUrlResponse',
            'APIVersion' => '\\MoniContract\\StructType\\APIVersion',
            'APIVersionResponse' => '\\MoniContract\\StructType\\APIVersionResponse',
            'AuthenticateUser' => '\\MoniContract\\StructType\\AuthenticateUser',
            'AuthenticateUserResponse' => '\\MoniContract\\StructType\\AuthenticateUserResponse',
            'CreateContract' => '\\MoniContract\\StructType\\CreateContract',
            'CreateContractResponse' => '\\MoniContract\\StructType\\CreateContractResponse',
            'VoidContract' => '\\MoniContract\\StructType\\VoidContract',
            'VoidContractResponse' => '\\MoniContract\\StructType\\VoidContractResponse',
            'GetContract' => '\\MoniContract\\StructType\\GetContract',
            'GetContractResponse' => '\\MoniContract\\StructType\\GetContractResponse',
            'GetContractAsPrimary' => '\\MoniContract\\StructType\\GetContractAsPrimary',
            'GetContractAsPrimaryResponse' => '\\MoniContract\\StructType\\GetContractAsPrimaryResponse',
            'GetContractDocumentConsumer' => '\\MoniContract\\StructType\\GetContractDocumentConsumer',
            'GetContractDocumentConsumerResponse' => '\\MoniContract\\StructType\\GetContractDocumentConsumerResponse',
            'SendQuoteEmail' => '\\MoniContract\\StructType\\SendQuoteEmail',
            'SendQuoteEmailResponse' => '\\MoniContract\\StructType\\SendQuoteEmailResponse',
            'GetContractID' => '\\MoniContract\\StructType\\GetContractID',
            'GetContractIDResponse' => '\\MoniContract\\StructType\\GetContractIDResponse',
            'AuthenticateUser2' => '\\MoniContract\\StructType\\AuthenticateUser2',
            'AuthenticateUser2Response' => '\\MoniContract\\StructType\\AuthenticateUser2Response',
            'CreateContract2' => '\\MoniContract\\StructType\\CreateContract2',
            'CreateContract2Response' => '\\MoniContract\\StructType\\CreateContract2Response',
            'CreateContractConsumer' => '\\MoniContract\\StructType\\CreateContractConsumer',
            'CreateContractConsumerResponse' => '\\MoniContract\\StructType\\CreateContractConsumerResponse',
            'ValidateContract2' => '\\MoniContract\\StructType\\ValidateContract2',
            'ValidateContract2Response' => '\\MoniContract\\StructType\\ValidateContract2Response',
            'SendQuoteEmail2' => '\\MoniContract\\StructType\\SendQuoteEmail2',
            'SendQuoteEmail2Response' => '\\MoniContract\\StructType\\SendQuoteEmail2Response',
            'UploadAttachment' => '\\MoniContract\\StructType\\UploadAttachment',
            'UploadAttachmentResponse' => '\\MoniContract\\StructType\\UploadAttachmentResponse',
            'DeleteAttachment' => '\\MoniContract\\StructType\\DeleteAttachment',
            'DeleteAttachmentResponse' => '\\MoniContract\\StructType\\DeleteAttachmentResponse',
        );
    }
}
