<?php

namespace MoniContract\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Create ServiceType
 * @subpackage Services
 */
class Create extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named CreateContract
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \MoniContract\StructType\CreateContract $parameters
     * @return \MoniContract\StructType\CreateContractResponse|bool
     */
    public function CreateContract(\MoniContract\StructType\CreateContract $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->CreateContract($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CreateContract2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \MoniContract\StructType\CreateContract2 $parameters
     * @return \MoniContract\StructType\CreateContract2Response|bool
     */
    public function CreateContract2(\MoniContract\StructType\CreateContract2 $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->CreateContract2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CreateContractConsumer
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \MoniContract\StructType\CreateContractConsumer $parameters
     * @return \MoniContract\StructType\CreateContractConsumerResponse|bool
     */
    public function CreateContractConsumer(\MoniContract\StructType\CreateContractConsumer $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->CreateContractConsumer($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \MoniContract\StructType\CreateContract2Response|\MoniContract\StructType\CreateContractConsumerResponse|\MoniContract\StructType\CreateContractResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
